LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Fedora (http://www.linuxquestions.org/questions/fedora-35/)
-   -   RED5 Build script doesn't work on FC10 64 bit. (http://www.linuxquestions.org/questions/fedora-35/red5-build-script-doesnt-work-on-fc10-64-bit-768335/)

xonathan 11-11-2009 02:08 AM

RED5 Build script doesn't work on FC10 64 bit.
 
I'm trying to install RED5 on FC10.
I think FC10 has almost everything java, apache, ant, tomcat, jetty ...

I've downloaded red-0.6.3.tar.gz from RED5 site.

When I try to build it with make command
It shows me these error message and doesn't build it.
============================== messages ==============================
[ivy:resolve] You probably access the destination server through a proxy server that is not well configured.
....
....
....
[ivy:resolve] Host red5.googlecode.com not found. url=http://red5.googlecode.com/svn/trunk/repository/jasper-el-6.0.14.jar
[ivy:resolve] Host red5.googlecode.com not found. url=http://red5.googlecode.com/svn/trunk/repository/tomcat/jasper-el-6.0.14.jar
[ivy:resolve] module not found: [ tomcat | jasper-el | 6.0.14 ]
[ivy:resolve] googlecode: tried no ivy pattern => no attempt to find module descriptor file for [ tomcat | jasper-el | 6.0.14 ]
[ivy:resolve] googlecode: tried artifact [ tomcat | jasper-el | 6.0.14 ]/jasper-el.jar[jar]:
[ivy:resolve] http://red5.googlecode.com/svn/trunk...-el-6.0.14.jar
[ivy:resolve] http://red5.googlecode.com/svn/trunk...-el-6.0.14.jar
[ivy:resolve] Host red5.googlecode.com not found. url=http://red5.googlecode.com/svn/trunk/repository/tomcat-juli-6.0.14.jar
[ivy:resolve] Host red5.googlecode.com not found. url=http://red5.googlecode.com/svn/trunk/repository/tomcat/tomcat-juli-6.0.14.jar
[ivy:resolve] module not found: [ tomcat | tomcat-juli | 6.0.14 ]
[ivy:resolve] googlecode: tried no ivy pattern => no attempt to find module descriptor file for [ tomcat | tomcat-juli | 6.0.14 ]
[ivy:resolve] googlecode: tried artifact [ tomcat | tomcat-juli | 6.0.14 ]/tomcat-juli.jar[jar]:
[ivy:resolve] http://red5.googlecode.com/svn/trunk...uli-6.0.14.jar
[ivy:resolve] http://red5.googlecode.com/svn/trunk...uli-6.0.14.jar
...
...
...
============================== messages ==============================

and lots more messages....almost 1,000 lines.

I have no idea how to install it...

I'm working in Uzbekistan as a volunteer and Internet speed is much slower than everybody expected.

This site is using proxy. Is it problem?

If ant work only under high speed and reliable internet, what should I do?

There is no way to install RED5 without internet?

Or my java environments are wrong?

Please help me...

MensaWater 11-11-2009 09:05 AM

I haven't used RED5 but I don't see where you mentioned running configure before running make.

Most bundles will come with a README file that you should examine first. Typically such bundles will instruct you to run configure, then run make all, then run make install. From the messages you're seeing I suspect RED5 does that and you skipped the configure step.

xonathan 11-12-2009 12:38 AM

Quote:

Originally Posted by jlightner (Post 3752920)
I haven't used RED5 but I don't see where you mentioned running configure before running make.

Most bundles will come with a README file that you should examine first. Typically such bundles will instruct you to run configure, then run make all, then run make install. From the messages you're seeing I suspect RED5 does that and you skipped the configure step.


Unfortunately RED5 doesn't support configure script as like any other open source software.

But today I've downloaded RED5-0.6 and it work well.

I think red5-0.6.3 doesn't tested enough under Linux(specially fedora 10).

Anyway thanks a lot to have an interesting about my posting.

YAOMK 11-06-2010 04:19 AM

First off, I'm aware of the time of this post (I'm a year too late). Red5 comes already built. Unfortunately most of the instructions out there are confusing and are meant for those people who extend red5 and rebuild it. For the stand alone red5 install, all you need to do is untar the tarball and move the Red5 folder to a location such as /usr/share/

Here is the script I use in my server's /etc/init.d/red5 (of course you need to change the constants to adapt to your red5 install):

Code:

#!/bin/sh
#
# red5    red5 initscript
#
# Author: Simon Eisenmann <simon@struktur.de>.
#

set -e

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DESC="AMF and RTMP server"
NAME=red5
RED5_HOME=/usr/share/red5-0.9.1
DAEMON=$RED5_HOME/$NAME.sh
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME

# Gracefully exit if the package has been removed.
test -x $DAEMON || exit 0

#Include init-functions
. /lib/lsb/init-functions

# Read config file if it is present.
if [ -r /etc/default/$NAME ]
then
. /etc/default/$NAME
fi

#
# Function that starts the daemon/service.
#
d_start() {
start-stop-daemon --start --pidfile $PIDFILE \
--chdir $RED5_HOME --background --make-pidfile \
--exec $DAEMON
}

#
# Function that stops the daemon/service.
#
d_stop() {
start-stop-daemon --stop --quiet --pidfile $PIDFILE \
--name java
rm -f $PIDFILE
}

reload_server() {
    [ ! -f "$PIDFILE" ] && return 1
    pid=pidofproc $PIDFILE # This is the daemon's pid
    # Send a SIGHUP
    kill -1 $pid
    return $?
}

force_stop() {
# Force the process to die killing it manually
    [ ! -e "$PIDFILE" ] && return
    if running ; then
        kill -15 $pid
        # Is it really dead?
        sleep "$DIETIME"s
        if running ; then
            kill -9 $pid
            sleep "$DIETIME"s
            if running ; then
                echo "Cannot kill $NAME (pid=$pid)!"
                exit 1
            fi
        fi
    fi
    rm -f $PIDFILE
}



running_pid() {
# Check if a given process pid's cmdline matches a given name
    pid=$1
    [ -z "$pid" ] && return 1
    [ ! -d /proc/$pid ] &&  return 1
    cmd=`cat /proc/$pid/cmdline | tr "\000" "\n"|tail -n 1 |cut -d : -f 1`
    exe=`basename $cmd`
    # Is this the expected server
    [ "x$exe" != "xorg.red5.server.Bootstrap" ] && return 1
    return 0
}

running() {
# Check if the process is running looking at /proc
# (works for all users)
    # No pidfile, probably no daemon present
    [ ! -f "$PIDFILE" ] && return 1
    pid=`cat $PIDFILE`
    running_pid $pid || return 1
    return 0
}

case "$1" in
start)
log_daemon_msg "Starting $DESC " "$NAME"
        # Check if it's running first
        if running ;  then
            log_progress_msg "apparently already running"
            log_end_msg 0
            exit 0
        fi
        if d_start ; then
            # NOTE: Some servers might die some time after they start,
            # this code will detect this issue if STARTTIME is set
            # to a reasonable value
            [ -n "$STARTTIME" ] && sleep $STARTTIME # Wait some time
            if  running ;  then
                # It's ok, the server started and is running
                log_end_msg 0
            else
                # It is not running after we did start
                log_end_msg 1
            fi
        else
            # Either we could not start it
            log_end_msg 1
        fi
;;
stop)
log_daemon_msg "Stopping $DESC" "$NAME"
        if running ; then
            # Only stop the server if we see it running
            errcode=0
          d_stop || errcode=$?
            log_end_msg $errcode
        else
            # If it's not running don't do anything
            log_progress_msg "apparently not running"
            log_end_msg 0
            exit 0
        fi
;;
force-stop)
        # First try to stop gracefully the program
        $0 stop
        if running; then
            # If it's still running try to kill it more forcefully
            log_daemon_msg "Stopping (force) $DESC" "$NAME"
            errcode=0
            force_stop || errcode=$?
            log_end_msg $errcode
        fi
        ;;
restart|force-reload)
log_daemon_msg "Restarting $DESC" "$NAME"
        errcode=0
        d_stop || errcode=$?
        # Wait some sensible amount, some server need this
        [ -n "$DIETIME" ] && sleep $DIETIME
        d_start || errcode=$?
        [ -n "$STARTTIME" ] && sleep $STARTTIME
        running || errcode=$?
        log_end_msg $errcode
        ;;
status)
        log_daemon_msg "Checking status of $DESC" "$NAME"
        if running ;  then
            log_progress_msg "running"
            log_end_msg 0
        else
            log_progress_msg "apparently not running"
            log_end_msg 1
            exit 1
        fi
        ;;
reload)
      log_warning_msg "Reloading $NAME daemon: not implemented, as the daemon"
      log_warning_msg "cannot re-read the config file (use restart)."
        ;;

*)
echo "Usage: $SCRIPTNAME {start|stop|force-stop|restart|force-reload|status}" >&2
exit 1
;;
esac

exit 0


I hope you figured this out and that this reference helps others in the future.


All times are GMT -5. The time now is 06:49 AM.